summaryrefslogtreecommitdiffhomepage
path: root/subr/post_build_files.subr
diff options
context:
space:
mode:
Diffstat (limited to 'subr/post_build_files.subr')
-rw-r--r--subr/post_build_files.subr15
1 files changed, 15 insertions, 0 deletions
diff --git a/subr/post_build_files.subr b/subr/post_build_files.subr
new file mode 100644
index 00000000..0f629eb1
--- /dev/null
+++ b/subr/post_build_files.subr
@@ -0,0 +1,15 @@
+#
+# . ./build.vars and set -o errexit -o noglob are assumed.
+#
+
+post_build_files() {
+ : $((BUILD_TIMES_SECS=$(command date +%s)-${BUILD_TIMES_SECS}));
+ : $((BUILD_TIMES_HOURS=${BUILD_TIMES_SECS}/3600));
+ : $((BUILD_TIMES_MINUTES=(${BUILD_TIMES_SECS}%3600)/60));
+ : $((BUILD_TIMES_SECS=(${BUILD_TIMES_SECS}%3600)%60));
+ if [ -f "${BUILD_STATUS_IN_PROGRESS_FNAME}" ]; then
+ build_fileop rm ${BUILD_STATUS_IN_PROGRESS_FNAME};
+ fi;
+};
+
+# vim:filetype=sh